Update a security group
PUT/v1/models/security-groups/:id
Replaces the security group with the given ID with the one in the request body. Send every field: secondary securities that you leave out of secondarySecurities are removed from the security group. Other fields in the body, such as id or secondaryTo, are ignored. If your firm has no security group with that ID, the response is 404.
Request
Responses
- 200
- 400
- 401
- 403
- 404
- 429
The updated security group.
id is not a whole number, or the request body is invalid, for example primarySymbol is missing.
The access token is missing, invalid, or expired.
The access token does not have the write:model scope.
Your firm has no security group with that ID.
Too many requests. Wait the number of seconds in the Retry-After-per-person header (script-audience tokens) or the Retry-After header (other requests) before you retry. See Rate limit.